$fn=200;

staubsauger_aussen = 35;
wandstaerke = 1.6;
fraese_innen = 40;
ueberstand = 4;
sauger_hoehe = 25;

kegel_hoehe = 38-staubsauger_aussen;

zylinder_oben = staubsauger_aussen + wandstaerke;
zylinder_unten = fraese_innen;

module rohr(h,d1,d2,dicke,center) {
	difference() {
		cylinder(h=h, d1=d1, d2=d2, center=center);
		translate([0,0,-0.1])cylinder(h=h+0.2, d1=d1-2*dicke, d2=d2-2*dicke, center=center);
	}
}

module cylinderhull(d,a,h,center){
	hull(){
			translate([a,0,0]) cylinder(h=h, d=d,center=center);
			translate([-a,0,0]) cylinder(h=h, d=d,center=center);
		}
}

// Sauger
translate([0,0,4]) 
	rohr(h=sauger_hoehe, d1=zylinder_oben, d2=zylinder_oben, dicke=wandstaerke, center=false);

// Kegel Saugerseite
translate([0,0,1]) 
	rohr(h=kegel_hoehe, d2=zylinder_oben, d1=zylinder_unten, dicke=wandstaerke, center=false); 

offset = 33;
// Platte
difference() {
	union() {
		cylinderhull(d=9,h=2,a=offset,center=true);
		cylinder(h=2, d=zylinder_unten+ueberstand, center=true);
		
	}
	cylinder(h=3, d=zylinder_unten, center=true);
	translate([-30, 0, 0]) cylinderhull(d=4.5,h=2.1, a=2,center=true);
	translate([30, 0, 0]) cylinderhull(d=4.5,h=2.1, a=2,center=true);
//	translate([-30, 0, 0]) cylinder(h=3, d=4.5, center=true);
//	translate([30, 0, 0]) cylinder(h=3, d=4.5, center=true);
}


// Fraese
translate([0,0,-11]) rohr(h=12, d1=zylinder_unten, d2=zylinder_unten, dicke=wandstaerke, center=false);
